#
# spec file for package gnome-calendar
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-calendar
Version:        3.20.3
Release:        2.2
Summary:        A calendar application for GNOME
License:        GPL-3.0+
Group:          Productivity/Office/Organizers
Url:            https://wiki.gnome.org/Design/Apps/Calendar
Source:         http://download.gnome.org/sources/gnome-calendar/3.20/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig(gio-2.0) >= 2.43.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.4
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.1
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libical) >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Calendar is a calendar application for GNOME.

%package -n gnome-shell-search-provider-gnome-calendar
Summary:        GNOME Calendar -- Search Provider for GNOME Shell
Group:          Productivity/Office/Organizers
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-calendar
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Calendar.

%lang_package
%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}

%find_lang %{name} %{?no_lang_C}

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING NEWS THANKS
%{_bindir}/gnome-calendar
%{_datadir}/applications/org.gnome.Calendar.desktop
# Own dir for openSUSE Leap 42.1
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Calendar.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.*

%files -n gnome-shell-search-provider-gnome-calendar
%defattr(-,root,root)
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini

%files lang -f %name.lang

%changelog
* Wed Aug 31 2016 zaitor@opensuse.org
- Update to version 3.20.3:
  + Fix crashes.
  + Fix AM/PM selector not showing.
  + Updated translations.
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Revert some changes because of instabilities.
  + Use the theme's CSS instead of our custom one.
  + Fix the first week day detection.
  + Updated translations.
* Thu Apr 14 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Make Year view span multiple columns.
  + Fix issue on the Calendars dialog.
  + Fix crash on non GNOME Shell environments.
  + Fix untranslated strings.
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Don't attempt to update read-only events.
  + Timezone handling improvements.
  + Fix crashes when no end date is passed.
  + Improved week numbers in Year View.
  + Make year view respect Shell's 'show-weeknumber' setting.
  + Change month when keynav moves the previous/next month.
  + Improve month view drawing.
  + Draw a background to the selected days in month view.
  + Respect 12/24h hour format.
  + Fade out past events.
  + Smaller code fixes and updates.
  + Updated translations.
* Thu Mar  3 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Fixed tons of issues with timezones.
  + Style fixes.
  + Permanently remove the deleted event when closing the window.
  + Show start time of event when it's a timed event.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Many classes are now final classes.
  + Added visual clues for days with events on Year View.
  + Renamed icon to match the application id.
  + All interface elements that shows the calendar color are now
    updated accordingly.
  + A huge rework on Calendar internals.
  + Improved the quick add popover.
  + Added a keyboard shortcuts window.
  + Updated translations.
* Thu Jan 21 2016 zaitor@opensuse.org
- Update to version 3.19.4:
  + Code cleanups.
  + Use CSS names on classes.
  + Add kudos.
  + Make month view lines stronger.
  + Fix week number in year view.
  + Updated translations.
* Thu Dec 24 2015 damjanovic.ivo@gmail.com
- Update to version 3.19.3:
  + Window: split arrow buttons from Today button.
  + Create event popover: swap buttons' position.
  + Project: remove OnlyShowIn from desktop file.
  + Updated translations.
- Drop gnome-calendar-symbolic-icon.patch; fixed upstream.
- Drop gnome-common BuildRequires and call to autogen.sh, as we no
  longer carry any patches.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.18.2.1:
  + Revert string freeze break.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.18.2:
  + Remove OnlyShowIn from desktop file.
  + Bugs fixed: bgo#758730, bgo#756412, bgo#749337, bgo#755910,
    bgo#757931, bgo#758391.
  + Updated translations.
* Wed Nov  4 2015 zaitor@opensuse.org
- Add gnome-calendar-symbolic-icon.patch: Add symbolic icon.
* Sat Oct 17 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Mon Oct  5 2015 zaitor@opensuse.org
- Own %%dir %%{_datadir}/appdata for openSUSE Leap 42.1.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Wed Aug 19 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Updated translations.
* Tue Jul 21 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Fixed GNOME Calendar's category.
  + Added initial keyboard navigation for Month View.
  + Various code cleanups and fixes.
  + Updated translations.
* Thu Jun 25 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Misc bugfixes (bgo#751206, bgo#751209, bgo#751211, bgo#751244).
  + Updated translations.
* Wed May 27 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Added a calendar management dialog for creating, updating and
    deleting calendars.
  + When adding a new event, use current date as event start.
  + Updated translations.
- Add pkgconfig(goa-1.0) BuildRequires: New dependency.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Fix date related bug.
  + Fix app relaunching bug.
* Thu Apr 16 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Block creation on nameless events.
  + Updated translations.
* Wed Mar 25 2015 cdenicolo@suse.com
- license update: GPL-3.0+
  package is now licensed under GPL-3.0+
* Sat Mar 21 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Timezone handling fixes.
  + Bugs fixed: bgo#745117, bgo#745487.
  + Updated translations.
* Thu Mar  5 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + search-view: set popover bottom position explicitly.
  + month-view: optimized event-widget parts removal.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Added gnome shell search provider.
- Create new subpackage gnome-shell-search-provider-gnome-calendar.
* Sun Jan 25 2015 badshah400@gmail.com
- Update to version 3.15.4.1:
  + Fix configure.ac distributed in package.
* Wed Jan 21 2015 dimstar@opensuse.org
- Update to version 3.15.4:
  + Implemented new year-view.
  + Added initial working search.
  + Added appdata support for GNOME Software.
* Fri Dec 26 2014 badshah400@gmail.com
- Initial package.
